class Fragments
{
   /**
    *  Application entry point
    *
    *  @param args array of command-line arguments passed to this method
    */

   public static void main(String[] args)
   {
      System.out.println((98.6 - 32) * 5 / 9); // Output Celsius equivalent of 98.6 degrees Fahrenheit.

      /*
         An amount of $2,200.00 is deposited in a bank paying an annual
         interest rate of 2%, which is compounded quarterly. What is 
         the balance after 10 years?

         Compound Interest Formula:

         A = P(1+r/n)nt

         A = amount of money accumulated after n years, including interest

         P = principal amount (the initial amount you deposit)

         r = annual rate of interest (expressed as a decimal fraction)

         n = number of times the interest is compounded per year  

         t = number of years for which the principal has been deposited
      */

      double principal = 2200;
      double rate = 2 / 100.0;
      double t = 10;
      double n = 4;
      System.out.println(principal * Math.pow(1 + rate / n, n * t));

      Shape shape = new Circle();
      shape.draw(); // Output: I am a circle.

      shape = new Rectangle();
      shape.draw(); // Output: I am a rectangle.

      int age = 25;
      float interest_rate = 4.0F;
      String name = "Java";
      Cat cat = new Cat("Garfield");
      char[] text = { 'J', 'a', 'v', 'a' };
      double[][] temps = { { 25.0, 96.2, -32.5 }, { 0.0, 212.0, -41.0 }};

      System.out.println(age); // Output: 25
      System.out.println(interest_rate); // Output: 4.0
      System.out.println(name); // Output: Java
      System.out.println(cat.name()); // Output: Garfield
      System.out.println(text[0]); // Output: J
      System.out.println(temps[0][1]); // Output: 96.2
   }
}

class Cat
{
   String name;

   Cat(String catName)
   {
      name = catName;
   }

   String name()
   {
      return name;
   }
}

interface Shape
{
   void draw();
}

class Circle implements Shape
{
   public void draw()
   {
      System.out.println("I am a circle.");
   }
}

class Rectangle implements Shape
{
   public void draw()
   {
      System.out.println("I am a rectangle.");
   }
}